Page MenuHomePhabricator

[Sentry] QUnit module sentry.test in error state
Closed, ResolvedPublic

Description

Running QUnit tests for the Sentry extension:

'Exception in module-execute in module sentry.test:
TypeError: You must provide a function as a test callback to QUnit.test("initRaven()")
SUMMARY:
✔ 11 tests completed
✖ 1 test failed

FAILED TESTS:
  testrunner
    ✖ Loader status
      HeadlessChrome 0.0.0 (Linux 0.0.0)
    Modules in error state
    Expected: []
    Actual: [
      "sentry.test"
    ]
        at Object.<anonymous> ( )
        at runTest (node_modules/qunit/qunit/qunit.js:1530:30)
        at Test.run (node_modules/qunit/qunit/qunit.js:1516:6)
        at node_modules/qunit/qunit/qunit.js:1728:12
        at advanceTaskQueue (node_modules/qunit/qunit/qunit.js:1129:6)
        at advance (node_modules/qunit/qunit/qunit.js:1110:4)

Event Timeline

hashar created this task.Jun 5 2018, 7:42 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 5 2018, 7:42 PM

Change 437542 had a related patch set uploaded (by Hashar; owner: Hashar):
[mediawiki/extensions/Sentry@master] Update test to match QUnit 2

https://gerrit.wikimedia.org/r/437542

Change 437542 merged by jenkins-bot:
[mediawiki/extensions/Sentry@master] Update test to match QUnit 2

https://gerrit.wikimedia.org/r/437542

Vvjjkkii renamed this task from [Sentry] QUnit module sentry.test in error state to xkbaaaaaaa.Jul 1 2018, 1:05 AM
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed subscribers: gerritbot, Aklapper.
CommunityTechBot renamed this task from xkbaaaaaaa to [Sentry] QUnit module sentry.test in error state.Jul 2 2018, 3:38 AM
CommunityTechBot raised the priority of this task from High to Needs Triage.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added subscribers: gerritbot, Aklapper.
hashar closed this task as Resolved.Jul 2 2018, 8:10 AM
hashar claimed this task.